Subject: Re: Commercial Licensing
From: [email-masked] (Reed Kotler Consulting)

30 Mar 1997 19:33:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: Jim Balter <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 02:18 PM 3/29/97 -0800, you wrote:
>Reed Kotler Consulting wrote:
>
>> I remember seeing this GPL thread go on and on and frankly I ignored it.
>> 
>> However, I'm looking at the webpage for cygnus and seeing some
>> claim that if you build software using the cygwin.dll that it has
>> to become free software too if you don't have the commercial license.
>> 
>> This seems to be a pretty far fetched reading of the GPL.
>
>Farfetched?  That seems pretty standard, since the issue is actually
>libcygwin.a, which incorporates portions of GPL code into
>your executable.  The situation is no different from using the bison
>parser.  If you still think that's a wrong reading, perhaps you can take
>it up on gnu.misc.discuss, where people like to talk about these things.
>
>--
Well what is libcygwin.a? Presumably just the thunks that call the
DLL.

So how can that code be under GPL?

THe microsoft (and any NT comapatable) linker generates that code.

I guess regarding Bison you are talking about the shell code for bison.

Then what about libc.a from GNU?

It seems that almost anything ever build with GNU would fall under GPL.

Thats a pretty novel reading of the GPL though I guess it's discussed
somewhere by people that care.

reed

Reed Kotler
http://www.reedkotler.com  home of a nice unix like toolset for windows NT/95
http://www.justjazz.com    home of a jazz musicians discussion list
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".